## mosquitto 2.0.15

=== obj-x86_64-linux-gnu/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.25

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Produce verbose output by default.
VERBOSE = 1

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu/CMakeFiles /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu//CMakeFiles/progress.marks
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named libmosquitto

# Build rule for target.
libmosquitto: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 libmosquitto
.PHONY : libmosquitto

# fast build rule for target.
libmosquitto/fast:
	$(MAKE) $(MAKESILENT) -f lib/CMakeFiles/libmosquitto.dir/build.make lib/CMakeFiles/libmosquitto.dir/build
.PHONY : libmosquitto/fast

#=============================================================================
# Target rules for targets named mosquittopp

# Build rule for target.
mosquittopp: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 mosquittopp
.PHONY : mosquittopp

# fast build rule for target.
mosquittopp/fast:
	$(MAKE) $(MAKESILENT) -f lib/cpp/CMakeFiles/mosquittopp.dir/build.make lib/cpp/CMakeFiles/mosquittopp.dir/build
.PHONY : mosquittopp/fast

#=============================================================================
# Target rules for targets named mosquitto_pub

# Build rule for target.
mosquitto_pub: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 mosquitto_pub
.PHONY : mosquitto_pub

# fast build rule for target.
mosquitto_pub/fast:
	$(MAKE) $(MAKESILENT) -f client/CMakeFiles/mosquitto_pub.dir/build.make client/CMakeFiles/mosquitto_pub.dir/build
.PHONY : mosquitto_pub/fast

#=============================================================================
# Target rules for targets named mosquitto_sub

# Build rule for target.
mosquitto_sub: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 mosquitto_sub
.PHONY : mosquitto_sub

# fast build rule for target.
mosquitto_sub/fast:
	$(MAKE) $(MAKESILENT) -f client/CMakeFiles/mosquitto_sub.dir/build.make client/CMakeFiles/mosquitto_sub.dir/build
.PHONY : mosquitto_sub/fast

#=============================================================================
# Target rules for targets named mosquitto_rr

# Build rule for target.
mosquitto_rr: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 mosquitto_rr
.PHONY : mosquitto_rr

# fast build rule for target.
mosquitto_rr/fast:
	$(MAKE) $(MAKESILENT) -f client/CMakeFiles/mosquitto_rr.dir/build.make client/CMakeFiles/mosquitto_rr.dir/build
.PHONY : mosquitto_rr/fast

#=============================================================================
# Target rules for targets named mosquitto

# Build rule for target.
mosquitto: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 mosquitto
.PHONY : mosquitto

# fast build rule for target.
mosquitto/fast:
	$(MAKE) $(MAKESILENT) -f src/CMakeFiles/mosquitto.dir/build.make src/CMakeFiles/mosquitto.dir/build
.PHONY : mosquitto/fast

#=============================================================================
# Target rules for targets named mosquitto_ctrl

# Build rule for target.
mosquitto_ctrl: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 mosquitto_ctrl
.PHONY : mosquitto_ctrl

# fast build rule for target.
mosquitto_ctrl/fast:
	$(MAKE) $(MAKESILENT) -f apps/mosquitto_ctrl/CMakeFiles/mosquitto_ctrl.dir/build.make apps/mosquitto_ctrl/CMakeFiles/mosquitto_ctrl.dir/build
.PHONY : mosquitto_ctrl/fast

#=============================================================================
# Target rules for targets named mosquitto_passwd

# Build rule for target.
mosquitto_passwd: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 mosquitto_passwd
.PHONY : mosquitto_passwd

# fast build rule for target.
mosquitto_passwd/fast:
	$(MAKE) $(MAKESILENT) -f apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/build.make apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/build
.PHONY : mosquitto_passwd/fast

#=============================================================================
# Target rules for targets named mosquitto_dynamic_security

# Build rule for target.
mosquitto_dynamic_security: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 mosquitto_dynamic_security
.PHONY : mosquitto_dynamic_security

# fast build rule for target.
mosquitto_dynamic_security/fast:
	$(MAKE) $(MAKESILENT) -f plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/build.make plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/build
.PHONY : mosquitto_dynamic_security/fast

#=============================================================================
# Target rules for targets named mosquitto_message_timestamp

# Build rule for target.
mosquitto_message_timestamp: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 mosquitto_message_timestamp
.PHONY : mosquitto_message_timestamp

# fast build rule for target.
mosquitto_message_timestamp/fast:
	$(MAKE) $(MAKESILENT) -f plugins/message-timestamp/CMakeFiles/mosquitto_message_timestamp.dir/build.make plugins/message-timestamp/CMakeFiles/mosquitto_message_timestamp.dir/build
.PHONY : mosquitto_message_timestamp/fast

#=============================================================================
# Target rules for targets named mosquitto_payload_modification

# Build rule for target.
mosquitto_payload_modification: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 mosquitto_payload_modification
.PHONY : mosquitto_payload_modification

# fast build rule for target.
mosquitto_payload_modification/fast:
	$(MAKE) $(MAKESILENT) -f plugins/payload-modification/CMakeFiles/mosquitto_payload_modification.dir/build.make plugins/payload-modification/CMakeFiles/mosquitto_payload_modification.dir/build
.PHONY : mosquitto_payload_modification/fast

#=============================================================================
# Target rules for targets named mosquitto_ctrl.1

# Build rule for target.
mosquitto_ctrl.1: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 mosquitto_ctrl.1
.PHONY : mosquitto_ctrl.1

# fast build rule for target.
mosquitto_ctrl.1/fast:
	$(MAKE) $(MAKESILENT) -f man/CMakeFiles/mosquitto_ctrl.1.dir/build.make man/CMakeFiles/mosquitto_ctrl.1.dir/build
.PHONY : mosquitto_ctrl.1/fast

=== obj-x86_64-linux-gnu/apps/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.25

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Produce verbose output by default.
VERBOSE = 1

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(CMAKE_COMMAND) -E cmake_progress_start /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu/CMakeFiles /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu/apps//CMakeFiles/progress.marks
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 apps/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 apps/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 apps/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 apps/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... test"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== obj-x86_64-linux-gnu/client/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.25

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Produce verbose output by default.
VERBOSE = 1

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(CMAKE_COMMAND) -E cmake_progress_start /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu/CMakeFiles /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu/client//CMakeFiles/progress.marks
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 client/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 client/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 client/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 client/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
client/CMakeFiles/mosquitto_pub.dir/rule:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 client/CMakeFiles/mosquitto_pub.dir/rule
.PHONY : client/CMakeFiles/mosquitto_pub.dir/rule

# Convenience name for target.
mosquitto_pub: client/CMakeFiles/mosquitto_pub.dir/rule
.PHONY : mosquitto_pub

# fast build rule for target.
mosquitto_pub/fast:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f client/CMakeFiles/mosquitto_pub.dir/build.make client/CMakeFiles/mosquitto_pub.dir/build
.PHONY : mosquitto_pub/fast

# Convenience name for target.
client/CMakeFiles/mosquitto_sub.dir/rule:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 client/CMakeFiles/mosquitto_sub.dir/rule
.PHONY : client/CMakeFiles/mosquitto_sub.dir/rule

# Convenience name for target.
mosquitto_sub: client/CMakeFiles/mosquitto_sub.dir/rule
.PHONY : mosquitto_sub

# fast build rule for target.
mosquitto_sub/fast:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f client/CMakeFiles/mosquitto_sub.dir/build.make client/CMakeFiles/mosquitto_sub.dir/build
.PHONY : mosquitto_sub/fast

# Convenience name for target.
client/CMakeFiles/mosquitto_rr.dir/rule:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 client/CMakeFiles/mosquitto_rr.dir/rule
.PHONY : client/CMakeFiles/mosquitto_rr.dir/rule

# Convenience name for target.
mosquitto_rr: client/CMakeFiles/mosquitto_rr.dir/rule
.PHONY : mosquitto_rr

# fast build rule for target.
mosquitto_rr/fast:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f client/CMakeFiles/mosquitto_rr.dir/build.make client/CMakeFiles/mosquitto_rr.dir/build
.PHONY : mosquitto_rr/fast

client_props.o: client_props.c.o
.PHONY : client_props.o

# target to build an object file
client_props.c.o:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f client/CMakeFiles/mosquitto_pub.dir/build.make client/CMakeFiles/mosquitto_pub.dir/client_props.c.o
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f client/CMakeFiles/mosquitto_sub.dir/build.make client/CMakeFiles/mosquitto_sub.dir/client_props.c.o
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f client/CMakeFiles/mosquitto_rr.dir/build.make client/CMakeFiles/mosquitto_rr.dir/client_props.c.o
.PHONY : client_props.c.o

client_props.i: client_props.c.i
.PHONY : client_props.i

# target to preprocess a source file
client_props.c.i:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f client/CMakeFiles/mosquitto_pub.dir/build.make client/CMakeFiles/mosquitto_pub.dir/client_props.c.i
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f client/CMakeFiles/mosquitto_sub.dir/build.make client/CMakeFiles/mosquitto_sub.dir/client_props.c.i
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f client/CMakeFiles/mosquitto_rr.dir/build.make client/CMakeFiles/mosquitto_rr.dir/client_props.c.i
.PHONY : client_props.c.i

client_props.s: client_props.c.s
.PHONY : client_props.s

# target to generate assembly for a file
client_props.c.s:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f client/CMakeFiles/mosquitto_pub.dir/build.make client/CMakeFiles/mosquitto_pub.dir/client_props.c.s
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f client/CMakeFiles/mosquitto_sub.dir/build.make client/CMakeFiles/mosquitto_sub.dir/client_props.c.s
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f client/CMakeFiles/mosquitto_rr.dir/build.make client/CMakeFiles/mosquitto_rr.dir/client_props.c.s
.PHONY : client_props.c.s

client_shared.o: client_shared.c.o
.PHONY : client_shared.o

# target to build an object file
client_shared.c.o:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f client/CMakeFiles/mosquitto_pub.dir/build.make client/CMakeFiles/mosquitto_pub.dir/client_shared.c.o
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f client/CMakeFiles/mosquitto_sub.dir/build.make client/CMakeFiles/mosquitto_sub.dir/client_shared.c.o
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f client/CMakeFiles/mosquitto_rr.dir/build.make client/CMakeFiles/mosquitto_rr.dir/client_shared.c.o
.PHONY : client_shared.c.o

client_shared.i: client_shared.c.i

=== obj-x86_64-linux-gnu/lib/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.25

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Produce verbose output by default.
VERBOSE = 1

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(CMAKE_COMMAND) -E cmake_progress_start /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu/CMakeFiles /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu/lib//CMakeFiles/progress.marks
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 lib/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 lib/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 lib/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 lib/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
lib/CMakeFiles/libmosquitto.dir/rule:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 lib/CMakeFiles/libmosquitto.dir/rule
.PHONY : lib/CMakeFiles/libmosquitto.dir/rule

# Convenience name for target.
libmosquitto: lib/CMakeFiles/libmosquitto.dir/rule
.PHONY : libmosquitto

# fast build rule for target.
libmosquitto/fast:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f lib/CMakeFiles/libmosquitto.dir/build.make lib/CMakeFiles/libmosquitto.dir/build
.PHONY : libmosquitto/fast

actions.o: actions.c.o
.PHONY : actions.o

# target to build an object file
actions.c.o:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f lib/CMakeFiles/libmosquitto.dir/build.make lib/CMakeFiles/libmosquitto.dir/actions.c.o
.PHONY : actions.c.o

actions.i: actions.c.i
.PHONY : actions.i

# target to preprocess a source file
actions.c.i:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f lib/CMakeFiles/libmosquitto.dir/build.make lib/CMakeFiles/libmosquitto.dir/actions.c.i
.PHONY : actions.c.i

actions.s: actions.c.s
.PHONY : actions.s

# target to generate assembly for a file
actions.c.s:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f lib/CMakeFiles/libmosquitto.dir/build.make lib/CMakeFiles/libmosquitto.dir/actions.c.s
.PHONY : actions.c.s

callbacks.o: callbacks.c.o
.PHONY : callbacks.o

# target to build an object file
callbacks.c.o:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f lib/CMakeFiles/libmosquitto.dir/build.make lib/CMakeFiles/libmosquitto.dir/callbacks.c.o
.PHONY : callbacks.c.o

callbacks.i: callbacks.c.i
.PHONY : callbacks.i

# target to preprocess a source file
callbacks.c.i:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f lib/CMakeFiles/libmosquitto.dir/build.make lib/CMakeFiles/libmosquitto.dir/callbacks.c.i
.PHONY : callbacks.c.i

callbacks.s: callbacks.c.s
.PHONY : callbacks.s

# target to generate assembly for a file
callbacks.c.s:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f lib/CMakeFiles/libmosquitto.dir/build.make lib/CMakeFiles/libmosquitto.dir/callbacks.c.s
.PHONY : callbacks.c.s

connect.o: connect.c.o
.PHONY : connect.o

# target to build an object file
connect.c.o:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f lib/CMakeFiles/libmosquitto.dir/build.make lib/CMakeFiles/libmosquitto.dir/connect.c.o
.PHONY : connect.c.o

connect.i: connect.c.i
.PHONY : connect.i

# target to preprocess a source file
connect.c.i:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f lib/CMakeFiles/libmosquitto.dir/build.make lib/CMakeFiles/libmosquitto.dir/connect.c.i
.PHONY : connect.c.i

connect.s: connect.c.s
.PHONY : connect.s

# target to generate assembly for a file
connect.c.s:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f lib/CMakeFiles/libmosquitto.dir/build.make lib/CMakeFiles/libmosquitto.dir/connect.c.s
.PHONY : connect.c.s

handle_auth.o: handle_auth.c.o
.PHONY : handle_auth.o

# target to build an object file
handle_auth.c.o:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f lib/CMakeFiles/libmosquitto.dir/build.make lib/CMakeFiles/libmosquitto.dir/handle_auth.c.o
.PHONY : handle_auth.c.o

handle_auth.i: handle_auth.c.i
.PHONY : handle_auth.i

# target to preprocess a source file
handle_auth.c.i:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f lib/CMakeFiles/libmosquitto.dir/build.make lib/CMakeFiles/libmosquitto.dir/handle_auth.c.i
.PHONY : handle_auth.c.i

handle_auth.s: handle_auth.c.s
.PHONY : handle_auth.s

# target to generate assembly for a file
handle_auth.c.s:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f lib/CMakeFiles/libmosquitto.dir/build.make lib/CMakeFiles/libmosquitto.dir/handle_auth.c.s
.PHONY : handle_auth.c.s

handle_connack.o: handle_connack.c.o
.PHONY : handle_connack.o

# target to build an object file
handle_connack.c.o:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f lib/CMakeFiles/libmosquitto.dir/build.make lib/CMakeFiles/libmosquitto.dir/handle_connack.c.o
.PHONY : handle_connack.c.o

handle_connack.i: handle_connack.c.i
.PHONY : handle_connack.i

# target to preprocess a source file
handle_connack.c.i:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f lib/CMakeFiles/libmosquitto.dir/build.make lib/CMakeFiles/libmosquitto.dir/handle_connack.c.i
.PHONY : handle_connack.c.i

=== obj-x86_64-linux-gnu/man/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.25

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Produce verbose output by default.
VERBOSE = 1

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(CMAKE_COMMAND) -E cmake_progress_start /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu/CMakeFiles /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu/man//CMakeFiles/progress.marks
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 man/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 man/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 man/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 man/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
man/CMakeFiles/mosquitto_ctrl.1.dir/rule:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 man/CMakeFiles/mosquitto_ctrl.1.dir/rule
.PHONY : man/CMakeFiles/mosquitto_ctrl.1.dir/rule

# Convenience name for target.
mosquitto_ctrl.1: man/CMakeFiles/mosquitto_ctrl.1.dir/rule
.PHONY : mosquitto_ctrl.1

# fast build rule for target.
mosquitto_ctrl.1/fast:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f man/CMakeFiles/mosquitto_ctrl.1.dir/build.make man/CMakeFiles/mosquitto_ctrl.1.dir/build
.PHONY : mosquitto_ctrl.1/fast

# Convenience name for target.
man/CMakeFiles/mosquitto_ctrl_dynsec.1.dir/rule:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 man/CMakeFiles/mosquitto_ctrl_dynsec.1.dir/rule
.PHONY : man/CMakeFiles/mosquitto_ctrl_dynsec.1.dir/rule

# Convenience name for target.
mosquitto_ctrl_dynsec.1: man/CMakeFiles/mosquitto_ctrl_dynsec.1.dir/rule
.PHONY : mosquitto_ctrl_dynsec.1

# fast build rule for target.
mosquitto_ctrl_dynsec.1/fast:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f man/CMakeFiles/mosquitto_ctrl_dynsec.1.dir/build.make man/CMakeFiles/mosquitto_ctrl_dynsec.1.dir/build
.PHONY : mosquitto_ctrl_dynsec.1/fast

# Convenience name for target.
man/CMakeFiles/mosquitto_passwd.1.dir/rule:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 man/CMakeFiles/mosquitto_passwd.1.dir/rule
.PHONY : man/CMakeFiles/mosquitto_passwd.1.dir/rule

# Convenience name for target.
mosquitto_passwd.1: man/CMakeFiles/mosquitto_passwd.1.dir/rule
.PHONY : mosquitto_passwd.1

# fast build rule for target.
mosquitto_passwd.1/fast:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f man/CMakeFiles/mosquitto_passwd.1.dir/build.make man/CMakeFiles/mosquitto_passwd.1.dir/build
.PHONY : mosquitto_passwd.1/fast

# Convenience name for target.
man/CMakeFiles/mosquitto_pub.1.dir/rule:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 man/CMakeFiles/mosquitto_pub.1.dir/rule
.PHONY : man/CMakeFiles/mosquitto_pub.1.dir/rule

# Convenience name for target.
mosquitto_pub.1: man/CMakeFiles/mosquitto_pub.1.dir/rule
.PHONY : mosquitto_pub.1

# fast build rule for target.
mosquitto_pub.1/fast:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f man/CMakeFiles/mosquitto_pub.1.dir/build.make man/CMakeFiles/mosquitto_pub.1.dir/build
.PHONY : mosquitto_pub.1/fast

# Convenience name for target.
man/CMakeFiles/mosquitto_sub.1.dir/rule:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 man/CMakeFiles/mosquitto_sub.1.dir/rule
.PHONY : man/CMakeFiles/mosquitto_sub.1.dir/rule

# Convenience name for target.
mosquitto_sub.1: man/CMakeFiles/mosquitto_sub.1.dir/rule
.PHONY : mosquitto_sub.1

# fast build rule for target.
mosquitto_sub.1/fast:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f man/CMakeFiles/mosquitto_sub.1.dir/build.make man/CMakeFiles/mosquitto_sub.1.dir/build
.PHONY : mosquitto_sub.1/fast

# Convenience name for target.
man/CMakeFiles/mosquitto_rr.1.dir/rule:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 man/CMakeFiles/mosquitto_rr.1.dir/rule
.PHONY : man/CMakeFiles/mosquitto_rr.1.dir/rule

# Convenience name for target.
mosquitto_rr.1: man/CMakeFiles/mosquitto_rr.1.dir/rule
.PHONY : mosquitto_rr.1

# fast build rule for target.
mosquitto_rr.1/fast:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f man/CMakeFiles/mosquitto_rr.1.dir/build.make man/CMakeFiles/mosquitto_rr.1.dir/build
.PHONY : mosquitto_rr.1/fast

# Convenience name for target.
man/CMakeFiles/libmosquitto.3.dir/rule:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 man/CMakeFiles/libmosquitto.3.dir/rule
.PHONY : man/CMakeFiles/libmosquitto.3.dir/rule

# Convenience name for target.
libmosquitto.3: man/CMakeFiles/libmosquitto.3.dir/rule
.PHONY : libmosquitto.3

# fast build rule for target.
libmosquitto.3/fast:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f man/CMakeFiles/libmosquitto.3.dir/build.make man/CMakeFiles/libmosquitto.3.dir/build
.PHONY : libmosquitto.3/fast

# Convenience name for target.
man/CMakeFiles/mosquitto.conf.5.dir/rule:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 man/CMakeFiles/mosquitto.conf.5.dir/rule
.PHONY : man/CMakeFiles/mosquitto.conf.5.dir/rule

# Convenience name for target.

=== obj-x86_64-linux-gnu/plugins/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.25

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Produce verbose output by default.
VERBOSE = 1

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(CMAKE_COMMAND) -E cmake_progress_start /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu/CMakeFiles /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu/plugins//CMakeFiles/progress.marks
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 plugins/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 plugins/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 plugins/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 plugins/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... test"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== obj-x86_64-linux-gnu/src/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.25

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Produce verbose output by default.
VERBOSE = 1

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(CMAKE_COMMAND) -E cmake_progress_start /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu/CMakeFiles /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu/src//CMakeFiles/progress.marks
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
src/CMakeFiles/mosquitto.dir/rule:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/CMakeFiles/mosquitto.dir/rule
.PHONY : src/CMakeFiles/mosquitto.dir/rule

# Convenience name for target.
mosquitto: src/CMakeFiles/mosquitto.dir/rule
.PHONY : mosquitto

# fast build rule for target.
mosquitto/fast:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f src/CMakeFiles/mosquitto.dir/build.make src/CMakeFiles/mosquitto.dir/build
.PHONY : mosquitto/fast

__/lib/alias_mosq.o: __/lib/alias_mosq.c.o
.PHONY : __/lib/alias_mosq.o

# target to build an object file
__/lib/alias_mosq.c.o:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f src/CMakeFiles/mosquitto.dir/build.make src/CMakeFiles/mosquitto.dir/__/lib/alias_mosq.c.o
.PHONY : __/lib/alias_mosq.c.o

__/lib/alias_mosq.i: __/lib/alias_mosq.c.i
.PHONY : __/lib/alias_mosq.i

# target to preprocess a source file
__/lib/alias_mosq.c.i:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f src/CMakeFiles/mosquitto.dir/build.make src/CMakeFiles/mosquitto.dir/__/lib/alias_mosq.c.i
.PHONY : __/lib/alias_mosq.c.i

__/lib/alias_mosq.s: __/lib/alias_mosq.c.s
.PHONY : __/lib/alias_mosq.s

# target to generate assembly for a file
__/lib/alias_mosq.c.s:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f src/CMakeFiles/mosquitto.dir/build.make src/CMakeFiles/mosquitto.dir/__/lib/alias_mosq.c.s
.PHONY : __/lib/alias_mosq.c.s

__/lib/handle_ping.o: __/lib/handle_ping.c.o
.PHONY : __/lib/handle_ping.o

# target to build an object file
__/lib/handle_ping.c.o:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f src/CMakeFiles/mosquitto.dir/build.make src/CMakeFiles/mosquitto.dir/__/lib/handle_ping.c.o
.PHONY : __/lib/handle_ping.c.o

__/lib/handle_ping.i: __/lib/handle_ping.c.i
.PHONY : __/lib/handle_ping.i

# target to preprocess a source file
__/lib/handle_ping.c.i:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f src/CMakeFiles/mosquitto.dir/build.make src/CMakeFiles/mosquitto.dir/__/lib/handle_ping.c.i
.PHONY : __/lib/handle_ping.c.i

__/lib/handle_ping.s: __/lib/handle_ping.c.s
.PHONY : __/lib/handle_ping.s

# target to generate assembly for a file
__/lib/handle_ping.c.s:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f src/CMakeFiles/mosquitto.dir/build.make src/CMakeFiles/mosquitto.dir/__/lib/handle_ping.c.s
.PHONY : __/lib/handle_ping.c.s

__/lib/handle_pubackcomp.o: __/lib/handle_pubackcomp.c.o
.PHONY : __/lib/handle_pubackcomp.o

# target to build an object file
__/lib/handle_pubackcomp.c.o:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f src/CMakeFiles/mosquitto.dir/build.make src/CMakeFiles/mosquitto.dir/__/lib/handle_pubackcomp.c.o
.PHONY : __/lib/handle_pubackcomp.c.o

__/lib/handle_pubackcomp.i: __/lib/handle_pubackcomp.c.i
.PHONY : __/lib/handle_pubackcomp.i

# target to preprocess a source file
__/lib/handle_pubackcomp.c.i:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f src/CMakeFiles/mosquitto.dir/build.make src/CMakeFiles/mosquitto.dir/__/lib/handle_pubackcomp.c.i
.PHONY : __/lib/handle_pubackcomp.c.i

__/lib/handle_pubackcomp.s: __/lib/handle_pubackcomp.c.s
.PHONY : __/lib/handle_pubackcomp.s

# target to generate assembly for a file
__/lib/handle_pubackcomp.c.s:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f src/CMakeFiles/mosquitto.dir/build.make src/CMakeFiles/mosquitto.dir/__/lib/handle_pubackcomp.c.s
.PHONY : __/lib/handle_pubackcomp.c.s

__/lib/handle_pubrec.o: __/lib/handle_pubrec.c.o
.PHONY : __/lib/handle_pubrec.o

# target to build an object file
__/lib/handle_pubrec.c.o:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f src/CMakeFiles/mosquitto.dir/build.make src/CMakeFiles/mosquitto.dir/__/lib/handle_pubrec.c.o
.PHONY : __/lib/handle_pubrec.c.o

__/lib/handle_pubrec.i: __/lib/handle_pubrec.c.i
.PHONY : __/lib/handle_pubrec.i

# target to preprocess a source file
__/lib/handle_pubrec.c.i:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f src/CMakeFiles/mosquitto.dir/build.make src/CMakeFiles/mosquitto.dir/__/lib/handle_pubrec.c.i
.PHONY : __/lib/handle_pubrec.c.i

__/lib/handle_pubrec.s: __/lib/handle_pubrec.c.s
.PHONY : __/lib/handle_pubrec.s

# target to generate assembly for a file
__/lib/handle_pubrec.c.s:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f src/CMakeFiles/mosquitto.dir/build.make src/CMakeFiles/mosquitto.dir/__/lib/handle_pubrec.c.s
.PHONY : __/lib/handle_pubrec.c.s

=== obj-x86_64-linux-gnu/apps/mosquitto_ctrl/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.25

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Produce verbose output by default.
VERBOSE = 1

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(CMAKE_COMMAND) -E cmake_progress_start /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu/CMakeFiles /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu/apps/mosquitto_ctrl//CMakeFiles/progress.marks
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 apps/mosquitto_ctrl/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 apps/mosquitto_ctrl/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 apps/mosquitto_ctrl/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 apps/mosquitto_ctrl/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
apps/mosquitto_ctrl/CMakeFiles/mosquitto_ctrl.dir/rule:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 apps/mosquitto_ctrl/CMakeFiles/mosquitto_ctrl.dir/rule
.PHONY : apps/mosquitto_ctrl/CMakeFiles/mosquitto_ctrl.dir/rule

# Convenience name for target.
mosquitto_ctrl: apps/mosquitto_ctrl/CMakeFiles/mosquitto_ctrl.dir/rule
.PHONY : mosquitto_ctrl

# fast build rule for target.
mosquitto_ctrl/fast:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f apps/mosquitto_ctrl/CMakeFiles/mosquitto_ctrl.dir/build.make apps/mosquitto_ctrl/CMakeFiles/mosquitto_ctrl.dir/build
.PHONY : mosquitto_ctrl/fast

__/__/lib/memory_mosq.o: __/__/lib/memory_mosq.c.o
.PHONY : __/__/lib/memory_mosq.o

# target to build an object file
__/__/lib/memory_mosq.c.o:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f apps/mosquitto_ctrl/CMakeFiles/mosquitto_ctrl.dir/build.make apps/mosquitto_ctrl/CMakeFiles/mosquitto_ctrl.dir/__/__/lib/memory_mosq.c.o
.PHONY : __/__/lib/memory_mosq.c.o

__/__/lib/memory_mosq.i: __/__/lib/memory_mosq.c.i
.PHONY : __/__/lib/memory_mosq.i

# target to preprocess a source file
__/__/lib/memory_mosq.c.i:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f apps/mosquitto_ctrl/CMakeFiles/mosquitto_ctrl.dir/build.make apps/mosquitto_ctrl/CMakeFiles/mosquitto_ctrl.dir/__/__/lib/memory_mosq.c.i
.PHONY : __/__/lib/memory_mosq.c.i

__/__/lib/memory_mosq.s: __/__/lib/memory_mosq.c.s
.PHONY : __/__/lib/memory_mosq.s

# target to generate assembly for a file
__/__/lib/memory_mosq.c.s:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f apps/mosquitto_ctrl/CMakeFiles/mosquitto_ctrl.dir/build.make apps/mosquitto_ctrl/CMakeFiles/mosquitto_ctrl.dir/__/__/lib/memory_mosq.c.s
.PHONY : __/__/lib/memory_mosq.c.s

__/__/src/memory_public.o: __/__/src/memory_public.c.o
.PHONY : __/__/src/memory_public.o

# target to build an object file
__/__/src/memory_public.c.o:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f apps/mosquitto_ctrl/CMakeFiles/mosquitto_ctrl.dir/build.make apps/mosquitto_ctrl/CMakeFiles/mosquitto_ctrl.dir/__/__/src/memory_public.c.o
.PHONY : __/__/src/memory_public.c.o

__/__/src/memory_public.i: __/__/src/memory_public.c.i
.PHONY : __/__/src/memory_public.i

# target to preprocess a source file
__/__/src/memory_public.c.i:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f apps/mosquitto_ctrl/CMakeFiles/mosquitto_ctrl.dir/build.make apps/mosquitto_ctrl/CMakeFiles/mosquitto_ctrl.dir/__/__/src/memory_public.c.i
.PHONY : __/__/src/memory_public.c.i

__/__/src/memory_public.s: __/__/src/memory_public.c.s
.PHONY : __/__/src/memory_public.s

# target to generate assembly for a file
__/__/src/memory_public.c.s:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f apps/mosquitto_ctrl/CMakeFiles/mosquitto_ctrl.dir/build.make apps/mosquitto_ctrl/CMakeFiles/mosquitto_ctrl.dir/__/__/src/memory_public.c.s
.PHONY : __/__/src/memory_public.c.s

__/__/src/password_mosq.o: __/__/src/password_mosq.c.o
.PHONY : __/__/src/password_mosq.o

# target to build an object file
__/__/src/password_mosq.c.o:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f apps/mosquitto_ctrl/CMakeFiles/mosquitto_ctrl.dir/build.make apps/mosquitto_ctrl/CMakeFiles/mosquitto_ctrl.dir/__/__/src/password_mosq.c.o
.PHONY : __/__/src/password_mosq.c.o

__/__/src/password_mosq.i: __/__/src/password_mosq.c.i
.PHONY : __/__/src/password_mosq.i

# target to preprocess a source file
__/__/src/password_mosq.c.i:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f apps/mosquitto_ctrl/CMakeFiles/mosquitto_ctrl.dir/build.make apps/mosquitto_ctrl/CMakeFiles/mosquitto_ctrl.dir/__/__/src/password_mosq.c.i
.PHONY : __/__/src/password_mosq.c.i

__/__/src/password_mosq.s: __/__/src/password_mosq.c.s
.PHONY : __/__/src/password_mosq.s

# target to generate assembly for a file
__/__/src/password_mosq.c.s:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f apps/mosquitto_ctrl/CMakeFiles/mosquitto_ctrl.dir/build.make apps/mosquitto_ctrl/CMakeFiles/mosquitto_ctrl.dir/__/__/src/password_mosq.c.s
.PHONY : __/__/src/password_mosq.c.s

__/mosquitto_passwd/get_password.o: __/mosquitto_passwd/get_password.c.o
.PHONY : __/mosquitto_passwd/get_password.o

# target to build an object file
__/mosquitto_passwd/get_password.c.o:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f apps/mosquitto_ctrl/CMakeFiles/mosquitto_ctrl.dir/build.make apps/mosquitto_ctrl/CMakeFiles/mosquitto_ctrl.dir/__/mosquitto_passwd/get_password.c.o

=== obj-x86_64-linux-gnu/apps/mosquitto_passwd/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.25

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Produce verbose output by default.
VERBOSE = 1

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(CMAKE_COMMAND) -E cmake_progress_start /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu/CMakeFiles /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu/apps/mosquitto_passwd//CMakeFiles/progress.marks
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 apps/mosquitto_passwd/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 apps/mosquitto_passwd/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 apps/mosquitto_passwd/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 apps/mosquitto_passwd/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/rule:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/rule
.PHONY : apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/rule

# Convenience name for target.
mosquitto_passwd: apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/rule
.PHONY : mosquitto_passwd

# fast build rule for target.
mosquitto_passwd/fast:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/build.make apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/build
.PHONY : mosquitto_passwd/fast

__/__/lib/memory_mosq.o: __/__/lib/memory_mosq.c.o
.PHONY : __/__/lib/memory_mosq.o

# target to build an object file
__/__/lib/memory_mosq.c.o:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/build.make apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/__/__/lib/memory_mosq.c.o
.PHONY : __/__/lib/memory_mosq.c.o

__/__/lib/memory_mosq.i: __/__/lib/memory_mosq.c.i
.PHONY : __/__/lib/memory_mosq.i

# target to preprocess a source file
__/__/lib/memory_mosq.c.i:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/build.make apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/__/__/lib/memory_mosq.c.i
.PHONY : __/__/lib/memory_mosq.c.i

__/__/lib/memory_mosq.s: __/__/lib/memory_mosq.c.s
.PHONY : __/__/lib/memory_mosq.s

# target to generate assembly for a file
__/__/lib/memory_mosq.c.s:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/build.make apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/__/__/lib/memory_mosq.c.s
.PHONY : __/__/lib/memory_mosq.c.s

__/__/lib/misc_mosq.o: __/__/lib/misc_mosq.c.o
.PHONY : __/__/lib/misc_mosq.o

# target to build an object file
__/__/lib/misc_mosq.c.o:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/build.make apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/__/__/lib/misc_mosq.c.o
.PHONY : __/__/lib/misc_mosq.c.o

__/__/lib/misc_mosq.i: __/__/lib/misc_mosq.c.i
.PHONY : __/__/lib/misc_mosq.i

# target to preprocess a source file
__/__/lib/misc_mosq.c.i:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/build.make apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/__/__/lib/misc_mosq.c.i
.PHONY : __/__/lib/misc_mosq.c.i

__/__/lib/misc_mosq.s: __/__/lib/misc_mosq.c.s
.PHONY : __/__/lib/misc_mosq.s

# target to generate assembly for a file
__/__/lib/misc_mosq.c.s:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/build.make apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/__/__/lib/misc_mosq.c.s
.PHONY : __/__/lib/misc_mosq.c.s

__/__/src/memory_public.o: __/__/src/memory_public.c.o
.PHONY : __/__/src/memory_public.o

# target to build an object file
__/__/src/memory_public.c.o:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/build.make apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/__/__/src/memory_public.c.o
.PHONY : __/__/src/memory_public.c.o

__/__/src/memory_public.i: __/__/src/memory_public.c.i
.PHONY : __/__/src/memory_public.i

# target to preprocess a source file
__/__/src/memory_public.c.i:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/build.make apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/__/__/src/memory_public.c.i
.PHONY : __/__/src/memory_public.c.i

__/__/src/memory_public.s: __/__/src/memory_public.c.s
.PHONY : __/__/src/memory_public.s

# target to generate assembly for a file
__/__/src/memory_public.c.s:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/build.make apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/__/__/src/memory_public.c.s
.PHONY : __/__/src/memory_public.c.s

__/__/src/password_mosq.o: __/__/src/password_mosq.c.o
.PHONY : __/__/src/password_mosq.o

# target to build an object file
__/__/src/password_mosq.c.o:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/build.make apps/mosquitto_passwd/CMakeFiles/mosquitto_passwd.dir/__/__/src/password_mosq.c.o
.PHONY : __/__/src/password_mosq.c.o

=== obj-x86_64-linux-gnu/lib/cpp/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.25

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Produce verbose output by default.
VERBOSE = 1

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(CMAKE_COMMAND) -E cmake_progress_start /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu/CMakeFiles /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu/lib/cpp//CMakeFiles/progress.marks
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 lib/cpp/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 lib/cpp/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 lib/cpp/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 lib/cpp/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
lib/cpp/CMakeFiles/mosquittopp.dir/rule:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 lib/cpp/CMakeFiles/mosquittopp.dir/rule
.PHONY : lib/cpp/CMakeFiles/mosquittopp.dir/rule

# Convenience name for target.
mosquittopp: lib/cpp/CMakeFiles/mosquittopp.dir/rule
.PHONY : mosquittopp

# fast build rule for target.
mosquittopp/fast:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f lib/cpp/CMakeFiles/mosquittopp.dir/build.make lib/cpp/CMakeFiles/mosquittopp.dir/build
.PHONY : mosquittopp/fast

mosquittopp.o: mosquittopp.cpp.o
.PHONY : mosquittopp.o

# target to build an object file
mosquittopp.cpp.o:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f lib/cpp/CMakeFiles/mosquittopp.dir/build.make lib/cpp/CMakeFiles/mosquittopp.dir/mosquittopp.cpp.o
.PHONY : mosquittopp.cpp.o

mosquittopp.i: mosquittopp.cpp.i
.PHONY : mosquittopp.i

# target to preprocess a source file
mosquittopp.cpp.i:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f lib/cpp/CMakeFiles/mosquittopp.dir/build.make lib/cpp/CMakeFiles/mosquittopp.dir/mosquittopp.cpp.i
.PHONY : mosquittopp.cpp.i

mosquittopp.s: mosquittopp.cpp.s
.PHONY : mosquittopp.s

# target to generate assembly for a file
mosquittopp.cpp.s:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f lib/cpp/CMakeFiles/mosquittopp.dir/build.make lib/cpp/CMakeFiles/mosquittopp.dir/mosquittopp.cpp.s
.PHONY : mosquittopp.cpp.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... test"
	@echo "... mosquittopp"
	@echo "... mosquittopp.o"
	@echo "... mosquittopp.i"
	@echo "... mosquittopp.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== obj-x86_64-linux-gnu/plugins/dynamic-security/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.25

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Produce verbose output by default.
VERBOSE = 1

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(CMAKE_COMMAND) -E cmake_progress_start /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu/CMakeFiles /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu/plugins/dynamic-security//CMakeFiles/progress.marks
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 plugins/dynamic-security/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 plugins/dynamic-security/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 plugins/dynamic-security/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 plugins/dynamic-security/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/rule:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/rule
.PHONY : plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/rule

# Convenience name for target.
mosquitto_dynamic_security: plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/rule
.PHONY : mosquitto_dynamic_security

# fast build rule for target.
mosquitto_dynamic_security/fast:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/build.make plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/build
.PHONY : mosquitto_dynamic_security/fast

acl.o: acl.c.o
.PHONY : acl.o

# target to build an object file
acl.c.o:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/build.make plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/acl.c.o
.PHONY : acl.c.o

acl.i: acl.c.i
.PHONY : acl.i

# target to preprocess a source file
acl.c.i:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/build.make plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/acl.c.i
.PHONY : acl.c.i

acl.s: acl.c.s
.PHONY : acl.s

# target to generate assembly for a file
acl.c.s:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/build.make plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/acl.c.s
.PHONY : acl.c.s

auth.o: auth.c.o
.PHONY : auth.o

# target to build an object file
auth.c.o:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/build.make plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/auth.c.o
.PHONY : auth.c.o

auth.i: auth.c.i
.PHONY : auth.i

# target to preprocess a source file
auth.c.i:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/build.make plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/auth.c.i
.PHONY : auth.c.i

auth.s: auth.c.s
.PHONY : auth.s

# target to generate assembly for a file
auth.c.s:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/build.make plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/auth.c.s
.PHONY : auth.c.s

clientlist.o: clientlist.c.o
.PHONY : clientlist.o

# target to build an object file
clientlist.c.o:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/build.make plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/clientlist.c.o
.PHONY : clientlist.c.o

clientlist.i: clientlist.c.i
.PHONY : clientlist.i

# target to preprocess a source file
clientlist.c.i:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/build.make plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/clientlist.c.i
.PHONY : clientlist.c.i

clientlist.s: clientlist.c.s
.PHONY : clientlist.s

# target to generate assembly for a file
clientlist.c.s:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/build.make plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/clientlist.c.s
.PHONY : clientlist.c.s

clients.o: clients.c.o
.PHONY : clients.o

# target to build an object file
clients.c.o:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/build.make plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/clients.c.o
.PHONY : clients.c.o

clients.i: clients.c.i
.PHONY : clients.i

# target to preprocess a source file
clients.c.i:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/build.make plugins/dynamic-security/CMakeFiles/mosquitto_dynamic_security.dir/clients.c.i
.PHONY : clients.c.i

clients.s: clients.c.s
.PHONY : clients.s

# target to generate assembly for a file
clients.c.s:

=== obj-x86_64-linux-gnu/plugins/message-timestamp/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.25

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Produce verbose output by default.
VERBOSE = 1

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(CMAKE_COMMAND) -E cmake_progress_start /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu/CMakeFiles /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu/plugins/message-timestamp//CMakeFiles/progress.marks
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 plugins/message-timestamp/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 plugins/message-timestamp/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 plugins/message-timestamp/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 plugins/message-timestamp/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
plugins/message-timestamp/CMakeFiles/mosquitto_message_timestamp.dir/rule:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 plugins/message-timestamp/CMakeFiles/mosquitto_message_timestamp.dir/rule
.PHONY : plugins/message-timestamp/CMakeFiles/mosquitto_message_timestamp.dir/rule

# Convenience name for target.
mosquitto_message_timestamp: plugins/message-timestamp/CMakeFiles/mosquitto_message_timestamp.dir/rule
.PHONY : mosquitto_message_timestamp

# fast build rule for target.
mosquitto_message_timestamp/fast:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f plugins/message-timestamp/CMakeFiles/mosquitto_message_timestamp.dir/build.make plugins/message-timestamp/CMakeFiles/mosquitto_message_timestamp.dir/build
.PHONY : mosquitto_message_timestamp/fast

mosquitto_message_timestamp.o: mosquitto_message_timestamp.c.o
.PHONY : mosquitto_message_timestamp.o

# target to build an object file
mosquitto_message_timestamp.c.o:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f plugins/message-timestamp/CMakeFiles/mosquitto_message_timestamp.dir/build.make plugins/message-timestamp/CMakeFiles/mosquitto_message_timestamp.dir/mosquitto_message_timestamp.c.o
.PHONY : mosquitto_message_timestamp.c.o

mosquitto_message_timestamp.i: mosquitto_message_timestamp.c.i
.PHONY : mosquitto_message_timestamp.i

# target to preprocess a source file
mosquitto_message_timestamp.c.i:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f plugins/message-timestamp/CMakeFiles/mosquitto_message_timestamp.dir/build.make plugins/message-timestamp/CMakeFiles/mosquitto_message_timestamp.dir/mosquitto_message_timestamp.c.i
.PHONY : mosquitto_message_timestamp.c.i

mosquitto_message_timestamp.s: mosquitto_message_timestamp.c.s
.PHONY : mosquitto_message_timestamp.s

# target to generate assembly for a file
mosquitto_message_timestamp.c.s:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f plugins/message-timestamp/CMakeFiles/mosquitto_message_timestamp.dir/build.make plugins/message-timestamp/CMakeFiles/mosquitto_message_timestamp.dir/mosquitto_message_timestamp.c.s
.PHONY : mosquitto_message_timestamp.c.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... test"
	@echo "... mosquitto_message_timestamp"
	@echo "... mosquitto_message_timestamp.o"
	@echo "... mosquitto_message_timestamp.i"
	@echo "... mosquitto_message_timestamp.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/rzr/var/cache/url/git/https/github.com/eclipse/mosquitto/src/mosquitto/obj-x86_64-linux-gnu && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== debian/changelog ===
mosquitto (2.0.15-2) unstable; urgency=medium

  [ Philippe Coval ]
  * debian/tests/control: Fix tests
  * debian/patches: Refresh missing-test.patch bypass 06 test

  [ Gianfranco Costamagna ]
  * Add manpages to clean target, they are autogenerated

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 21 Jul 2023 11:17:58 +0200

mosquitto (2.0.15-1) unstable; urgency=medium

  [ Philippe Coval ]
  * New upstream release (Closes: #993400)
  * debian/patches: Drop Fix-CONNECT...patch
  * debian/patches: Drop ssl-sslcontext-wrap_socket.patch
  * debian/patches: Refresh 1571.patch
  * debian/patches: Refresh deb-test.patch
  * debian/control: Transfer maintenance to team
  * debian/gbp.conf: Build on tag
  * debian/watch: Fix Lintian by scanning from git
  * debian/control: Bump standards
  * debian/control: Add Rules-Requires-Root Field
  * debian/mosquitto.lintian-overrides: Ignore lws spelling
  * debian/mosquitto.lintian-overrides: Ignore upstream spelling
  * debian/control: Fix lintian d-on-obsolete-package : lsb to sysV
  * d/mosquitto.lintian-overrides: Hide h-in-library-directory-missing-soname
  * d/libmosquittopp1.lintian-overrides: Silent library-not-linked-against-libc
  * debian/control: Add missing Pre-depends for systemd
  * debian/rules: Add hardening flags
  * debian/mosquitto.lintian-overrides: Relocate groff-message warning
  * debian/libmosquitto*.symbols: Fix Lintian symbols-file-m-b-d-p-field
  * debian/rules: Fix lintian debug-symbol-migration-possibly-complete
  * debian/mosquitto.triggers: Remove ldconfig step
  * debian/control: Fix cme lint libssl-dev dep
  * debian/control: Fix cme lint Multi-Arch

  [ наб ]
  * debian/mosquitto.postrm: Purge user (Closes: #1032200)

  [ Gianfranco Costamagna ]
  * upload to sid

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 20 Jul 2023 12:10:52 +0200

mosquitto (2.0.11-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix CONNECT performance with many user-properties (CVE-2021-41039)
    (Closes: #1001028)
  * debian/tests/broker: Make all test python scripts executable

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 29 Dec 2022 13:38:30 +0100

mosquitto (2.0.11-1.1) unstable; urgency=medium

  * Non-maintainer upload

  [ Olivier Gayot ]
  * Fix autopkgtest failure when running against Python 3.10 (Closes:
    #1009096) (LP: #1960214)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 16 Apr 2022 17:17:54 +0200

=== debian/control ===
Source: mosquitto
Section: net
Priority: optional
Maintainer: Debian IoT Maintainers <debian-iot-maintainers@alioth-lists.debian.net>
Uploaders:
 Philippe Coval <rzr@users.sf.net>,
 Roger A. Light <roger@atchoo.org>
Build-Depends: debhelper-compat (= 13),
               cmake,
               libcjson-dev,
               libdlt-dev,
               libssl-dev,
               libsystemd-dev,
               libwebsockets-dev,
               libwrap0-dev,
               pkg-config,
               uthash-dev,
               xsltproc,
               docbook-xsl
Standards-Version: 4.6.2
Homepage: https://mosquitto.org/
Vcs-Git: https://salsa.debian.org/debian-iot-team/mosquitto/ -b debian/master
Vcs-Browser: https://salsa.debian.org/debian-iot-team/mosquitto/debian/master
Rules-Requires-Root: no

Package: mosquitto
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: adduser (>= 3.10),
         libcjson1,
         libmosquitto1 (= ${binary:Version}),
         sysvinit-utils (>= 3.06),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: apparmor
Description: MQTT version 5.0/3.1.1/3.1 compatible message broker
 This is a message broker that supports version 3.1 and 3.1.1 of the MQTT
 protocol.
 .
 MQTT provides a method of carrying out messaging using a publish/subscribe
 model. It is lightweight, both in terms of bandwidth usage and ease of
 implementation. This makes it particularly useful at the edge of the network
 where a sensor or other simple device may be implemented using an arduino for
 example.

Package: mosquitto-dev
Section: devel
Architecture: all
Multi-Arch: foreign
Depends: mosquitto (<< ${source:Version}.1~),
         mosquitto (>= ${source:Version}),
         ${misc:Depends}
Description: Development files for Mosquitto
 Mosquitto is a message broker that supports the MQTT protocol.
 .
 This package contains the include files used if you wish to compile a package
 which requires Mosquitto's source file headers.

Package: libmosquitto1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: MQTT version 5.0/3.1.1/3.1 client library
 This is a C library for implementing MQTT version 5.0/3.1.1/3.1 clients.
 .
 MQTT provides a method of carrying out messaging using a publish/subscribe
 model. It is lightweight, both in terms of bandwidth usage and ease of
 implementation. This makes it particularly useful at the edge of the network
 where a sensor or other simple device may be implemented using an arduino for
 example.

Package: libmosquitto-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libmosquitto1 (<< ${source:Version}.1~),
         libmosquitto1 (>= ${source:Version}),
         ${misc:Depends}
Replaces: libmosquitto0-dev (<< 1.2-1~)
Breaks: libmosquitto0-dev (<< 1.2-1~)
Description: MQTT version 5.0/3.1.1/3.1 client library, development files
 This is the header and man page for the libmosquitto1 C library, which is a
 library for implementing MQTT version 5.0/3.1.1/3.1 clients. This package is
 needed to do development with libmosquitto1.

Package: libmosquittopp1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libmosquitto1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: MQTT version 5.0/3.1.1/3.1 client C++ library
 This is a C++ library for implementing MQTT version 5.0/3.1.1/3.1 clients.
 .
 MQTT provides a method of carrying out messaging using a publish/subscribe
 model. It is lightweight, both in terms of bandwidth usage and ease of
 implementation. This makes it particularly useful at the edge of the network
 where a sensor or other simple device may be implemented using an arduino for
 example.

Package: libmosquittopp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libmosquittopp1 (<< ${source:Version}.1~),
         libmosquittopp1 (>= ${source:Version}),
         libmosquitto-dev,
         ${misc:Depends}
Replaces: libmosquittopp0-dev (<< 1.2-1~)
Breaks: libmosquittopp0-dev (<< 1.2-1~)
Description: MQTT version 3.1 client C++ library, development files
 This is the header and man page for the libmosquittopp1 C++ library, which is
 a library for implementing MQTT version 3.1 clients. This package is needed to
 do development with libmosquittopp1.

Package: mosquitto-clients
Architecture: any
Multi-Arch: foreign
Depends: libmosquitto1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Mosquitto command line MQTT clients
 This is two MQTT version 5.0/3.1.1/3.1 command line clients. mosquitto_pub can
 be used to publish messages to a broker and mosquitto_sub can be used to
 subscribe to a topic to receive messages.
 .
 MQTT provides a method of carrying out messaging using a publish/subscribe
 model. It is lightweight, both in terms of bandwidth usage and ease of
 implementation. This makes it particularly useful at the edge of the network
 where a sensor or other simple device may be implemented using an arduino for
 example.

=== debian/tests/control ===
Tests: broker, library, client
Depends: @, gcc, g++, libc6-dev, python3, libssl-dev
# rw-build-tree: tests generate and cleanup config files as they run, plus the
# broker saves persistence data and cleans it up.
Restrictions: rw-build-tree
